<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myQuoteLabel" jhiTranslate="mpmApp.quote.home.createOrEditLabel">Create or edit a Quote</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!quote.idQuote">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="quote.idQuote" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.quote.dateIssued" for="field_dateIssued">Date Issued</label>
            <div class="input-group">
                <p-calendar inputId="field_dateIssued" name="input_dateIssued" [(ngModel)]="quote.dateIssued"
                    dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                    [showIcon]="true"></p-calendar>
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.quote.description" for="field_description">Description</label>
            <input type="text" class="form-control" name="description" id="field_description"
                [(ngModel)]="quote.description"  />
        </div>

    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
